<div class="dragcloneDrop-inner component-inner">
    {{> component this}}
    {{#if _desktop}}
    <div
        class="dragcloneDrop-widget component-widget{{#unless _isEnabled}} disabled {{#if _isInteractionComplete}} complete submitted show-user-answer {{#if _isCorrect}}correct{{/if}} {{/if}} {{/unless}}">

        {{#each dropData}}
        <div data-itemId="{{{id}}}"
            class="dragcloneDrop-item dropable-area dropable-area-{{@index}} {{#unless ../_isEnabled}}{{#if _isCorrect}}correct{{else}}incorrect{{/if}}{{/unless}}">
            {{!-- <div class="dragwords-droppable"> {{{option}}}</div> --}}
            <div class="dragcloneDrop-state">
                <div class="dragcloneDrop__item-icon dragcloneDrop__item-correct-icon">
                    <div class="icon"></div>
                </div>
                <div class="dragcloneDrop__item-icon dragcloneDrop__item-incorrect-icon">
                    <div class="icon"></div>
                </div>
            </div>
        </div>
        {{/each}}
    </div>
    {{else}}
    <div
        class="matching__widget component__widget{{#unless _isEnabled}} disabled {{#if _isInteractionComplete}} complete submitted show-user-answer {{#if _isCorrect}}is-correct{{/if}} {{/if}} {{/unless}}">

        {{#each _items}}
        <div
            class="matching__item item item-{{@index}} {{#unless ../_isEnabled}}{{#if ../_canShowMarking}}{{#if _isCorrect}} is-correct{{else}} is-incorrect{{/if}}{{/if}}{{/unless}}">

            {{#if text}}
            <div class="matching__item-title">
                <div class="matching__item-title_inner">
                    {{{text}}}
                </div>
            </div>
            {{/if}}

            <div class="matching__select-container">

                {{> dropdown this placeholder=../placeholder _id=../_id _dropdownIndex=@index}}

                <div class="matching__select-state">
                    <div class="matching__select-icon matching__item-icon matching__select-correct-icon">
                        <div class="icon"></div>
                    </div>
                    <div class="matching__select-icon matching__item-icon matching__select-incorrect-icon">
                        <div class="icon"></div>
                    </div>
                </div>

            </div>

        </div>
        {{/each}}
    </div>

    {{/if}}
    <div class="btn__container">
    </div>